SUP(1)

NAME

sup - a curses-based email client

SYNOPSIS

sup [options]

DESCRIPTION

Sup is a console-based email client for people with a lot of email.

It presents an interface of a list of threads, which are each hierarchical collections email messages. Threads can have multiple tags applied to them. It supports a very fast full-text search, automatic contact-list management, custom code insertion via a Ruby hook system, and more. If you're the type of person who treats email as an extension of your long-term memory, Sup is for you.

OPTIONS

-l, --list-hooks
    List all hooks and descriptions, and quit. Use --hooks-matching to filter

-m, --hooks-matching=<s> : If given, list all hooks and descriptions matching the given pattern. Needs the --list-hooks option (default: )

-n, --no-threads
    Turn off threading. Helps with debugging. (Necessarily disables background polling for new messages.)

-o, --no-initial-poll
    Don't poll for new messages when starting.

-s QUERY, --search QUERY
    Search for this query upon startup

-c STRING, --compose STRING
    Compose message to this recipient upon startup

-j STRING, --subject STRING
    When composing, use this subject

-v, --version
    Print version and exit

-h, --help
    Show brief help message

ENVIRONMENT

SUP_LOG_LEVEL
    Set log level verbosity. Valid values ordered by decresing verbosity: debug info warn error. Default log level is info.

SUP_BASE
    Specify home directory for configuration files and xapian index, defaults to: $HOME/.sup.

FILES

$HOME/.sup/config.yaml
    Configuration file for Sup

$HOME/.sup/sources.yaml
    Configuration file for Sup mail sources

$HOME/.sup/colors.yaml
    Color theme for Sup

SEE ALSO

mail(1), sup-add(1), sup-config(1), sup-dump(1), sup-import-dump(1), sup-recover-sources(1), sup-sync(1), sup-sync-back-maildir(1), sup-tweak-labels(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.